# Uses of Class
java.security.KeyFactorySpi

Packages that use KeyFactorySpi
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of KeyFactorySpi in java.security

Constructors in java.security with parameters of type KeyFactorySpi
Modifier
Constructor
Description
`protected`
`KeyFactory(KeyFactorySpi keyFacSpi, Provider provider, String algorithm)`
Creates a `KeyFactory` object.